Bug 1028242 - Sound Juicer crashes when trying to open disk
Sound Juicer crashes when trying to open disk
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: sound-juicer (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-07 19:44 EST by Steeve McCauley
Modified: 2015-02-17 14:08 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 14:08:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sound-juicer --brasero-media-debug (7.60 KB, text/plain)
2013-11-07 19:44 EST, Steeve McCauley
no flags Details

  None (edit)
Description Steeve McCauley 2013-11-07 19:44:26 EST
Created attachment 821355 [details]
sound-juicer --brasero-media-debug

Description of problem:

Sound juicer segfaults after inserting an audio disk.

Version-Release number of selected component (if applicable): 3.5.0


How reproducible:


Steps to Reproduce:
1. Insert audio disk
2. Start sound-juicer
3. witness segfault

Actual results:


Expected results:

Should not segfault.  Should load tracks and get track information from musicbrainz (or whatever it's called).

Additional info:

* Disk opens in nautilus using cdda://sr0/ ... can view a list of Track files as wav docs.
* can copy from /run/user/####/gvfs/cdda:host=sr0
* cannot copy wav files in nautilus

I have successfully copied the wav files and used sound converter to convert the wav to ogg vorbis, and then use easytags to tag the files.  I also was able to open sound juicer once with a CD that had previously segfaulted a few times.  I'm pretty sure this just started after upgrading from fedora 18 to fedora 19.
Comment 1 Daniel Berrange 2013-12-26 09:09:15 EST
There's no stack trace here to confirm it, but I'd put good money on this being caused by this gnutls bug since F19 has a gnutls impl too https://bugzilla.redhat.com/show_bug.cgi?id=1046672
Comment 2 Panu Matilainen 2014-01-05 15:13:02 EST
(In reply to Daniel Berrange from comment #1)
> There's no stack trace here to confirm it, but I'd put good money on this
> being caused by this gnutls bug since F19 has a gnutls impl too
> https://bugzilla.redhat.com/show_bug.cgi?id=1046672

Bingo... after updating to gnutls-3.1.18-3.fc20 it no longer crashes. I was actually able to rip one cd with it, before it started hitting bug 918232 (again).
Comment 3 Fedora End Of Life 2015-01-09 15:31:19 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 14:08:11 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.